![icon.ico](./public/img/favicon.ico)

# 杏聆荟App官网

## 语言设置优先级

URL 语言码参数 > 浏览器 SessionStorage (用户配置) > 浏览器默认语言

## URL 参数

- 传参方式如下

```md
http://192.168.6.117:8080/open/app_web_site/#/__target__/__language__
```

- [__target__]：可缺省，默认为 home，可用的值有 home（首页）、use-cases（应用场景）、features（特色功能）、downloads（下载）、about（关于）
- [__language__]：可缺省，默认为 zh，可用的值有 zh（中文）、en（英文）

- 例：

```md
【默认-首页 默认-中文】
http://192.168.6.117:8080/open/app_web_site/
【下载页  默认-中文】
http://192.168.6.117:8080/open/app_web_site/#/downloads
【下载页  英文】
http://192.168.6.117:8080/open/app_web_site/#/downloads/en
【关于  英文】
http://192.168.6.117:8080/open/app_web_site/#/about/en
```

- 部署到线上地址后请将【<http://192.168.6.117:8080/open/app_web_site> 】替换为真实地址

## 下载地址配置项

- 配置文件位于
- `root/app_params_zh.json`（国内下载地址）
- `root/app_params_en.json`（国外下载地址）
- 配置的内容有：

```md
{
  "FLYINSONO_WEB_APP_URL": 杏聆荟Web版地址,
  "FLYINSONO_ANDROID_DOWNLOAD_URL": 杏聆荟Android版下载地址,
  "FLYINSONO_IOS_DOWNLOAD_URL": 杏聆荟IOS版下载地址,
  "FLYINSONO_WINDOWS_DOWNLOAD_URL": 杏聆荟Windows版下载地址,
  "OLD_FLYINSONO_ANDROID_DOWNLOAD_URL": 旧版杏聆荟Android版下载地址,
  "OLD_FLYINSONO_IOS_DOWNLOAD_URL": 旧版杏聆荟IOS版下载地址,
  "OLD_FLYINSONO_WINDOWS_DOWNLOAD_URL": 旧版杏聆荟Windows版下载地址,
  "SONOPOST_TOOL_DOWNLOAD_URL": 魔盒配置工具下载地址,
}
```

## 扫描翻译项

```bash
node .\dev_tool\i18n_scanner.js
```

## 启动项目

```bash
# 安装依赖
npm install

# 启动项目
npm run start

# 打包项目
npm run build
```

## 启动环境

```bash
# 启动环境
npm install react-scripts --save
```
