import React from 'react';
import PropTypes from 'prop-types';

/// assets
import wechat_qrcode from '../../assets/imgs/qr_codes/wechat_qrcode.png';

const SectionAbout = ({ t }) => {
  return (
    <>
      {/* 背景图 */}
      <div className='absolute bg-gray-900 w-full h-full'></div>
      <div className='pt-20 flex flex-col w-full h-full items-center justify-between z-10'>
        <div className='pb-2 flex-grow flex-col flex items-center justify-center'>
          <div className='font-bold text-white text-4xl lg:text-6xl duration-300 tracking-widest-cn'>
            {t('关于杏聆荟')}
          </div>
          <div className='w-4/5 md:w-3/5 mt-10 md:mt-20 font-thin text-white md:text-2xl duration-300 tracking-widest-cn leading-loose-cn'>
            {t(
              '杏聆荟是一个专注于整合医疗资源，针对超声医疗资源分布不均、治疗效率低下、特殊情况无法灵活应对等问题，为医患提供一站式远程超声解决方案的平台。',
            )}
          </div>
        </div>
        <div className='pb-2 flex flex-col items-center'>
          <img
            src={wechat_qrcode}
            alt='wechat_qrcode'
            className='w-[110px] h-[110px] object-cover mb-5 hover:w-[250px] hover:h-[250px] duration-300 cursor-pointer rounded'
          />
          <div className='font-thin text-white text-sm mt-1 duration-300 tracking-widest-cn'>
            {t('飞依诺科技股份有限公司')}
          </div>
          <div className='font-thin text-white text-sm mt-1 duration-300 tracking-wide'>
            {t('copyright')}
          </div>
          <a
            href='https://beian.miit.gov.cn/'
            className='font-thin text-white hover:underline underline-offset-4 text-sm mt-1 duration-300 tracking-widest-cn cursor-pointer'
            target='_blank'
            rel='noreferrer'>
            {t('苏 ICP 备 12062591 号')}
          </a>
          <div className='w-[50vw] h-[1px] bg-gray-400 my-5'></div>
          {/* PC端 */}
          <div className='hidden md:block font-thin text-white text-sm mt-1 duration-300 tracking-widest-cn'>
            {t(
              '地址：苏州工业园区新发路27号A栋5F / 邮编：215123 / 电话：400-8873860',
            )}
          </div>
          <div className='hidden md:block font-thin text-white text-sm mt-1 duration-300 tracking-widest-cn'>
            {t('销售邮箱：')}
            <a
              href={'mailto:' + t('sale_email')}
              className='hover:underline underline-offset-4 duration-300 cursor-pointer'
              target='_blank'
              rel='noreferrer'>
              {t('sale_email')}
            </a>
            {' / ' + t('客服邮箱：')}
            <a
              href={'mailto:' + t('service_email')}
              className='hover:underline underline-offset-4 duration-300 cursor-pointer'
              target='_blank'
              rel='noreferrer'>
              {t('service_email')}
            </a>
          </div>
          {/* 移动端 */}
          <div className='md:hidden font-thin text-white text-sm mt-1 duration-300 tracking-widest-cn'>
            {t('地址：苏州工业园区新发路27号A栋5F')}
          </div>
          <div className='md:hidden font-thin text-white text-sm mt-1 duration-300 tracking-widest-cn'>
            {t('邮编：215123 / 电话：400-8873860')}
          </div>
          <div className='md:hidden font-thin text-white text-sm mt-1 duration-300 tracking-widest-cn'>
            {t('销售邮箱：') + t('sale_email')}
          </div>
          <div className='md:hidden font-thin text-white text-sm mt-1 duration-300 tracking-widest-cn'>
            {t('客服邮箱：') + t('service_email')}
          </div>
          <div className=' mb-5'></div>
        </div>
      </div>
    </>
  );
};

SectionAbout.propTypes = {
  t: PropTypes.func.isRequired,
};

export default SectionAbout;
