import React from 'react';
import PropTypes from 'prop-types';
import { scroller } from 'react-scroll';

import home_bg_pc from '../../assets/imgs/home_bg_pc.png';
import home_bg_mobile_zh from '../../assets/imgs/home_bg_mobile_zh.jpg';
import home_bg_mobile_en from '../../assets/imgs/home_bg_mobile_en.jpg';

const SectionHome = ({ t, isCN }) => {
  // 导航动态跳转
  const scrollTo = (element) => {
    scroller.scrollTo(element, {
      duration: 600, // 滚动持续时间（毫秒）
      smooth: 'easeInOutQuart', // 使用贝塞尔曲线进行变速
    });
  };

  return (
    <>
      <div className='bg-slate-100 h-full'>
        <img
          src={home_bg_pc}
          alt='home_bg_pc'
          className='hidden md:block animate-displayFromTransparent z-0 w-full min-h-full object-cover grayscale-[20%]'
        />
        <img
          src={isCN ? home_bg_mobile_zh : home_bg_mobile_en}
          alt='home_bg_pc'
          className='md:hidden animate-displayFromTransparent z-0 w-full min-h-full object-cover grayscale-[20%]'
        />
      </div>
      <div className='animate-slideLeftFromOut absolute px-2 md:left-[13%] flex flex-col h-full pt-[100px] md:pt-[130px] md:h-auto duration-300'>
        <div className='ml-2 font-bold text-gray-900 md:text-white text-3xl md:text-6xl duration-300 tracking-widest-cn drop-shadow-mobile md:drop-shadow-text'>
          {t('智能超声 · 一触即达')}
        </div>
        <div className='mt-2 font-thin text-gray-900 md:text-white text-3xl md:text-5xl duration-300 drop-shadow-mobile md:drop-shadow-text italic'>
          {t('More than Ultrasound')}
        </div>
      </div>
      <div className='animate-slideUpAndFade group absolute bottom-40 md:bottom-20 flex flex-col'>
        <button
          className='z-10 custom-btn rounded-full cursor-pointer duration-300'
          onClick={() => scrollTo('downloads')}>
          <span className='font-medium relative block px-10 py-2 text-white text-xl tracking-widest-cn'>
            {t('立即体验')}
          </span>
        </button>
        <div className='absolute w-full h-full flex items-center justify-center'>
          <span className='absolute group-hover:animate-ping rounded-full w-2/3 h-2/3 bg-blue-500'></span>
        </div>
      </div>
    </>
  );
};

SectionHome.propTypes = {
  t: PropTypes.func.isRequired,
  isCN: PropTypes.bool.isRequired,
};

export default SectionHome;
