import React from 'react';
import PropTypes from 'prop-types';

/// assets
import main_image from '../../../assets/imgs/features_c_main.png';

const RemoteAssistance = ({ t }) => {
  return (
    <>
      {/* 背景图 */}
      <div className='absolute bg-gray-100 w-full h-full border-t-8'></div>
      <div className='flex flex-col w-full h-full items-center justify-evenly z-10'>
        <div className='font-normal text-gray-900 text-4xl duration-300 tracking-widest-cn'>
          {t('远程协助')}
        </div>
        <img
          src={main_image}
          alt='远程协助'
          className='w-full md:w-1/2 max-h-[50vh] object-contain'
        />
        <div className='flex flex-col'>
          <div className='text-gray-900 text-xl my-2 duration-300 tracking-widest-cn'>
            {t('• 形式多样的课程，助力医生知识技能提升')}
          </div>
          <div className='text-gray-900 text-xl my-2 duration-300 tracking-widest-cn'>
            {t('• 手把手在线示例，促进专家经验分享，远程实现“传、帮、带”')}
          </div>
          <div className='text-gray-900 text-xl my-2 duration-300 tracking-widest-cn'>
            {t('• 理论与实操相结合的随堂练习，量化检验学习效果')}
          </div>
        </div>
      </div>
    </>
  );
};

RemoteAssistance.propTypes = {
  t: PropTypes.func.isRequired,
};

export default RemoteAssistance;
