import React from 'react';
import PropTypes from 'prop-types';

/// assets
import main_image from '../../../assets/imgs/features_b_main.png';
import main_image_en from '../../../assets/imgs/features_b_main_en.png';

const RemoteConsultation = ({ t, isCN }) => {
  return (
    <>
      {/* 背景图 */}
      <div className='absolute bg-gray-100 w-full h-full border-t-8'></div>
      <div className='pt-20 md:pt-6 flex flex-col w-full h-full items-center justify-evenly z-10'>
        <div className='font-normal text-gray-900 text-4xl duration-300 tracking-widest-cn'>
          {t('实时会诊')}
        </div>
        <img
          src={isCN ? main_image : main_image_en}
          alt='实时会诊'
          className='w-full md:w-1/2 max-h-[50vh] object-contain'
        />
        <div className='grid grid-cols-1 px-3 md:mx-20 md:grid-cols-2 md:px-0 gap-4'>
          <div className='text-gray-900 md:text-xl duration-300 tracking-widest-cn'>
            {t('• 专家实时在线，远程指导')}
          </div>
          <div className='text-gray-900 md:text-xl duration-300 tracking-widest-cn'>
            {t('• 扩大专家影响力，提高基层诊断水平')}
          </div>
          <div className='text-gray-900 md:text-xl duration-300 tracking-widest-cn max-w-[400px]'>
            {t('• 突破空间限制，促进优质医疗下沉')}
          </div>
          <div className='text-gray-900 md:text-xl duration-300 tracking-widest-cn'>
            {t('• 降低患者就诊成本，提升就诊体验')}
          </div>
        </div>
      </div>
    </>
  );
};

RemoteConsultation.propTypes = {
  t: PropTypes.func.isRequired,
  isCN: PropTypes.bool.isRequired,
};

export default RemoteConsultation;
