import React from 'react';
import PropTypes from 'prop-types';

/// assets
import main_image from '../../../assets/imgs/features_a_main.png';
import main_image_en from '../../../assets/imgs/features_a_main_en.png';

const RemoteDiagnosis = ({ t, isCN }) => {
  return (
    <>
      {/* 背景图 */}
      <div className='absolute bg-gray-100 w-full h-full'></div>
      <div className='pt-6 flex flex-col w-full h-full items-center justify-evenly z-10'>
        <div className='font-normal text-gray-900 text-4xl duration-300 tracking-widest-cn'>
          {t('分时诊断')}
        </div>
        <img
          src={isCN ? main_image : main_image_en}
          alt='分时诊断'
          className='w-full md:w-1/2 max-h-[50vh] object-contain'
        />
        <div className='flex flex-col px-10 md:px-0'>
          <div className='text-gray-900 md:text-xl my-2 duration-300 tracking-widest-cn'>
            {t('• 本地扫查，异地诊断，专家无需实时在线即可远程诊断')}
          </div>
          <div className='text-gray-900 md:text-xl my-2 duration-300 tracking-widest-cn'>
            {t('• 影像数据云端存储，方便随时调阅')}
          </div>
          <div className='text-gray-900 md:text-xl my-2 duration-300 tracking-widest-cn'>
            {t('• 测量工具、智能辅助工具，为精准诊断保驾护航')}
          </div>
        </div>
      </div>
    </>
  );
};

RemoteDiagnosis.propTypes = {
  t: PropTypes.func.isRequired,
  isCN: PropTypes.bool.isRequired,
};

export default RemoteDiagnosis;
