import React from 'react';
import PropTypes from 'prop-types';

/// assets
import main_image from '../../../assets/imgs/features_c_main.png';
import main_image_en from '../../../assets/imgs/features_c_main_en.png';

const RemoteQC = ({ t, isCN }) => {
  return (
    <>
      {/* 背景图 */}
      <div className='absolute bg-gray-100 w-full h-full border-t-8'></div>
      <div className='pt-6 flex flex-col w-full h-full items-center justify-evenly z-10'>
        <div className='font-normal text-gray-900 text-4xl duration-300 tracking-widest-cn'>
          {t('智能超控')}
        </div>
        <img
          src={isCN ? main_image : main_image_en}
          alt='智能超控'
          className='w-full md:w-1/2 max-h-[50vh] object-contain'
        />
        <div className='flex flex-col px-10 md:px-0'>
          <div className='text-gray-900 md:text-xl my-2 duration-300 tracking-widest-cn'>
            {t('• 支持多诊室实时远程质控，有效提升质控质量')}
          </div>
          <div className='text-gray-900 md:text-xl my-2 duration-300 tracking-widest-cn'>
            {t(
              '• 超声机软件在线升级，故障在线排查，工程师足不出户即可远程解决问题，无需等待工程师日程安排',
            )}
          </div>
        </div>
      </div>
    </>
  );
};

RemoteQC.propTypes = {
  t: PropTypes.func.isRequired,
  isCN: PropTypes.bool.isRequired,
};

export default RemoteQC;
