import React from 'react';
import PropTypes from 'prop-types';
import { GlobeIcon } from '@radix-ui/react-icons';

const LanguageListTrigger = ({ onClick }) => {
  return (
    <li className='flex justify-center h-16 w-16'>
      <div
        className='h-16 w-16 flex justify-center items-center hover:bg-blue-900 duration-300 cursor-pointer'
        onClick={() => onClick()}>
        <GlobeIcon className='h-6 w-6' />
      </div>
    </li>
  );
};

LanguageListTrigger.propTypes = {
  onClick: PropTypes.func.isRequired,
};

export default LanguageListTrigger;
