import React from 'react';
import PropTypes from 'prop-types';
import { HamburgerMenuIcon } from '@radix-ui/react-icons';

const MobileRouterTrigger = ({ onClick }) => {
  return (
    <li className='flex md:hidden justify-center h-16 w-16'>
      <div
        className='h-16 w-16 flex justify-center items-center hover:bg-blue-900 duration-300 cursor-pointer'
        onClick={() => onClick()}>
        <HamburgerMenuIcon className='h-6 w-6' />
      </div>
    </li>
  );
};

MobileRouterTrigger.propTypes = {
  onClick: PropTypes.func.isRequired,
};

export default MobileRouterTrigger;
