import React from 'react';
import PropTypes from 'prop-types';
import AppleIcon from './AppleIcon';
import AndroidIcon from './AndroidIcon';
import WindowsIcon from './WindowsIcon';
import PlaneIcon from './PlaneIcon';

const SVGIcon = ({ type }) => {
  switch (type) {
    case 'apple':
      return (
        <AppleIcon
          className={
            'h-full object-contain group-hover:fill-blue-500 fill-[url(#MyGradient)]'
          }
        />
      );
    case 'android':
      return (
        <AndroidIcon
          className={
            'h-full object-contain group-hover:fill-blue-500 fill-[url(#MyGradient)]'
          }
        />
      );
    case 'windows':
      return (
        <WindowsIcon
          className={
            'h-full object-contain group-hover:fill-blue-500 fill-[url(#MyGradient)]'
          }
        />
      );
    case 'apple-pre':
      return (
        <AppleIcon
          className={
            'h-full object-contain group-hover:fill-blue-500 fill-white'
          }
        />
      );
    case 'android-pre':
      return (
        <AndroidIcon
          className={
            'h-full object-contain group-hover:fill-blue-500 fill-white'
          }
        />
      );
    case 'windows-pre':
      return (
        <WindowsIcon
          className={
            'h-full object-contain group-hover:fill-blue-500 fill-white'
          }
        />
      );
    case 'web-pre':
      return (
        <PlaneIcon
          className={
            'h-full object-contain group-hover:fill-blue-500 fill-white'
          }
        />
      );
    default:
      return '';
  }
};

SVGIcon.propTypes = {
  type: PropTypes.string,
};

export default SVGIcon;
